Index: src/backend/storage/file/fd.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/storage/file/fd.c,v
retrieving revision 1.128
diff -c -r1.128 fd.c
*** src/backend/storage/file/fd.c	30 May 2006 13:04:59 -0000	1.128
--- src/backend/storage/file/fd.c	23 Aug 2006 12:55:19 -0000
***************
*** 1278,1283 ****
--- 1278,1293 ----
  		errno = save_errno;
  	}
  
+ #ifdef WIN32
+ 	{
+ 		DWORD		lastError = GetLastError();
+ 		int			save_errno = errno;
+ 		ereport(LOG,
+ 				(errmsg("win32 open error on '%s': %lu", name, lastError)));
+ 		errno = save_errno;
+ 	}
+ #endif
+ 
  	return NULL;
  }
  
